{
	"name": "form/nc/erp-sync/cxml/save/order-confirmation-xml-convert.json",
	"line_break": "\n",
	"indent": "\t",
	"main_data_tag": "ord",
	"charset": "UTF-8",
	"decimal_separator": ".",
	"create_empty_tag": true,
	"xml_header": "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<!DOCTYPE cXML SYSTEM \"http://xml.cxml.org/schemas/cXML/1.2.061/Fulfill.dtd\">",
	"namespace": "",
	"convert": [
		{
			"field": "ord",
			"tag": "cXML",
			"attribute": {
				"payloadID": "",
				"timestamp": "",
				"xml:lang": "en-GB"
			},
			"content": [
				{
					"tag": "Header",
					"content": [
						{
							"tag": "From",
							"content": [
								{
									"tag": "Credential",
									"attribute": {
										"domain": "NetworkID"
									},
									"content": [
										{
											"tag": "Identity",
											"from_static": "AN10000000001-T"
										}
									]
								}
							]
						},
						{
							"tag": "To",
							"content": [
								{
									"tag": "Credential",
									"attribute": {
										"domain": "NetworkID"
									},
									"content": [
										{
											"tag": "Identity",
											"from_static": "AN11167947425-T"
										}
									]
								}
							]
						},
						{
							"tag": "Sender",
							"content": [
								{
									"tag": "Credential",
									"attribute": {
										"domain": "NetworkID"
									},
									"content": [
										{
											"tag": "Identity",
											"from_static": "AN01000000001-T"
										}
									]
								},
								{
									"tag": "UserAgent",
									"from_static": "SCMSupplier"
								}
							]
						}
					]
				},
				{
					"tag": "Request",
					"attribute": {
						"deploymentMode": "test"
					},
					"content": [
						{
							"tag": "ConfirmationRequest",
							"content": [
								{
									"tag": "ConfirmationHeader",
									"attribute": {
										"noticeDate": {
											"field": "ord.confirmation_date",
											"data_type": "date",
											"format": "%Y-%m-%dT%H:%M:%S%z2"
										},
										"type": "detail",
										"operation": "new",
										"confirmID": { "field": "ord.order_id" }
									},
									"content": []
								},
								{
									"tag": "OrderReference",
									"attribute": {
										"orderID": { "field": "ord.company_reference_number" }
									},
									"content": [
										{
											"tag": "DocumentReference",
											"from_static": "",
											"attribute": {
												"payloadID": ""
											}
										}
									]
								},
								{
									"tag": "ConfirmationItem",
									"field": "ordr",
									"attribute": {
										"quantity": { "field": "ordr.order_amount" },
										"lineNumber": { "field": "ordr.json_data.customer_row_number" }
									},
									"content": [
										{
											"tag": "UnitOfMeasure",
											"field": "ordr.unit"
										},
										{
											"tag": "ConfirmationStatus",
											"attribute": {
												"deliveryDate": {
													"field": "ordr.delivery_date",
													"data_type": "date",
													"format": "%Y-%m-%dT%H:%M:%S%z2"
												},
												"type": "accept",
												"quantity": { "field": "ordr.order_amount" }
											},
											"content": [
												{
													"tag": "UnitOfMeasure",
													"field": "ordr.unit"
												},
												{
													"tag": "ItemIn",
													"attribute": {
														"lineNumber": { "field": "ordr.json_data.customer_row_number" },
														"quantity": { "field": "ordr.order_amount" }
													},
													"content": [
														{
															"tag": "ItemID",
															"content": [
																{
																	"tag": "SupplierPartID",
																	"field": "ordr.product_id"
																},
																{
																	"tag": "SupplierPartAuxiliaryID",
																	"from_static": ""
																},
																{
																	"tag": "BuyerPartID",
																	"field": "ordr.json_data.supplier_product_code"
																}
															]
														},
														{
															"tag": "ItemDetail",
															"content": [
																{
																	"tag": "UnitPrice",
																	"content": [
																		{
																			"field": "ordr.unit_price",
																			"tag": "Money",
																			"attribute": {
																				"currency": { "field": "ord.currency_id" }
																			}
																		}
																	]
																},
																{
																	"tag": "Description",
																	"attribute": {
																		"xml:lang": "EN"
																	},
																	"field": "ordr.description"
																},
																{
																	"tag": "UnitOfMeasure",
																	"field": "ordr.unit"
																},
																{
																	"tag": "PriceBasisQuantity",
																	"attribute": {
																		"conversionFactor": "1",
																		"quantity": "1"
																	},
																	"content": [
																		{
																			"tag": "UnitOfMeasure",
																			"field": "ordr.unit"
																		}
																	]
																},
																{
																	"tag": "Classification",
																	"attribute": {
																		"domain": "ERPCommodityCode"
																	},
																	"attribute_match": { "domain": "ERPCommodityCode" },
																	"field": "ordr.json_data.commodity_code",
																	"from_static": ""
																},
																{
																	"tag": "Classification",
																	"attribute": {
																		"domain": "ERPCommodityCodeDescription"
																	},
																	"attribute_match": { "domain": "ERPCommodityCodeDescription" },
																	"field": "ordr.json_data.commodity_description",
																	"from_static": ""
																}
															]
														}
													]
												}
											]
										}
									]
								}
							]
						}
					]
				}
			]
		}
	]
}
